#!/bin/bash

KS="/opt/virgo/configuration/keystore"

import_cert(){
    for file in $(find  /opt/ECX/tools/cert/aws -type f)
    do
	alias=$(basename $file| sed 's#.crt##g') 	
	/bin/keytool -import --noprompt -alias $alias -keystore $KS -storepass ecx-beta -file $file
    done
}

count=$(/bin/keytool  -list -keystore $KS -storepass ecx-beta | grep SHA1 | wc | awk '{ print $1 }')

if (( $count < 20 )); then
    import_cert 
else
    echo "Certificates already imported. $KS remains unchanged."
fi
