#!/usr/bin/python
import os , sys, shutil

def analyze_resolv_conf():
   list = []
   with open('/etc/resolv.conf') as f:
      for line in f:
         
         if line.startswith("search "):
            list=line.strip().split()
            list.pop(0)                         # remove 'search' string grom the list
            break

   d = {}   
   for i in list: d[i]=1
   return d

#
# rename file and keep backup of original
#
def swap_files(new_file, current_file):
    os.rename(current_file , current_file + '.orig')
    os.rename(new_file, current_file)
         

dict = analyze_resolv_conf()
dns_search_new = []

for arg in sys.argv:

   # argumens are not validated
   if arg in dict:
      print( arg + ' already in resolv.conf , skipping ')
   else:
      dns_search_new.append(arg)

dns_search_new.pop(0)   # delete first element 'script name'

f1 = open('/etc/resolv.conf', 'r')
f2 = open('/etc/resolv.conf.new', 'w')

seen=0
for line in f1:
   if line.startswith("search "): 
      seen=1
      f2.write(line.strip() + ' ' + ' '.join(dns_search_new) + '\n')
   else:
      f2.write(line)

if not seen:
    f2.write('search ' + ' '.join(dns_search_new) + '\n')

f1.close()
f2.close()

swap_files('/etc/resolv.conf.new','/etc/resolv.conf')
